PHP, which is a bacronym for PHP: Hypertext Preprocessor, is amongst the most widely used scripting languages that are available out there. Any website or Internet application built using PHP will run on a given server on the condition that a PHP module is activated, which makes the language absolutely universal and it’s scarcely a surprise that there are actually a few million servers that support it and 100s of millions of PHP-driven sites running on them. PHP is preferred over HTML because of the fact that it enables you to develop a dynamic website with an abundance of different features. A PHP-based community web portal, for example, will serve unique web content to each visitor irrespective of the fact that the URL will be the same. In comparison, HTML sites are static and the page content can be updated only manually. Like any other piece of software, PHP has several versions and the one that was used whilst creating a certain website must be configured on the web server in order for the site to behave correctly.

PHP 4 and PHP 5 Support in Website Hosting

We have made a conscious decision not to prevent our current and prospective customers from picking what PHP version their sites will use, which suggests that in case you purchase a website hosting plan from us, you’ll be able to choose between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the web hosting account itself, but also for each single domain that you host. This can be done with just one click from our custom-built Hepsia Control Panel via which all shared hosting accounts are administered, so you won’t have to possess any programming or technical experience. You’ll be able to manage websites built with both old and new scripts without having to overcome any difficulties, so if you would like to abandon your present provider and migrate over to us, you can be certain that all the sites that you have created through the years will continue to work correctly.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even in case your sites were built with an older version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support several versions running at the same time on our servers and each of them can be activated for your account with no more than one click via our in-house created Hepsia Control Panel. In addition to the latest PHP 5.5 and PHP 5.4, we also support 5.2, 5.3 and the older PHP 4. The latter has already been abandoned by the vast majority of hosting vendors, but we are strongly convinced that you should not be compelled to modify a website that took years to set up, since older programming language syntax does not necessarily mean safety loopholes. Quite the opposite, a well-maintained website using PHP 4 can be more secure than an inadequately maintained one using PHP 5. For the sake of your convenience, we’ll also provide you with the opportunity to set a different version of PHP for each site within the account.